aboutsummaryrefslogtreecommitdiff
path: root/artix.sh
diff options
context:
space:
mode:
authorYaroslav de la Peña Smirnov <yps@yaroslavps.com>2021-03-22 03:51:42 +0300
committerYaroslav de la Peña Smirnov <yps@yaroslavps.com>2021-03-22 03:51:42 +0300
commit805b435113e8c61e6b329ec7bf6fa4e2b2a61860 (patch)
tree66385efe2f62079be4309d90602d6abbcce290c1 /artix.sh
parentc95d0243bb66f20850ec99677d189238f5ee2acf (diff)
downloadswayrice-805b435113e8c61e6b329ec7bf6fa4e2b2a61860.tar.gz
swayrice-805b435113e8c61e6b329ec7bf6fa4e2b2a61860.zip
Some changes to improve things on the X200
* Switched to foot, since Alacritty doesn't support older GPUs and because foot consumes around 7-15MB of RAM per instance while Alacritty consumes around 30-60MB/instance. * Other minor changes and improvements.
Diffstat (limited to 'artix.sh')
-rwxr-xr-xartix.sh21
1 files changed, 16 insertions, 5 deletions
diff --git a/artix.sh b/artix.sh
index f773186..15434ed 100755
--- a/artix.sh
+++ b/artix.sh
@@ -3,16 +3,16 @@
# Very basic helper script to install some programs and configs for an
# Artix+runit+Sway system
-pacman -Sy --noconfirm zsh zsh-syntax-highlighting openresolv wireguard-tools \
+pacman -Sy zsh zsh-syntax-highlighting openresolv wireguard-tools \
bind-tools sway swaylock swayidle waybar egl-wayland imv swaybg \
xorg-server-xwayland alacritty qt5-wayland wl-clipboard dbus tmux htop \
- bemenu bemenu-wlroots mupdf mpd ncmpcpp mpc mpv libnotify mako cronie \
+ bemenu bemenu-wlroots mupdf mpd ncmpcpp mpc mpv libnotify cronie \
cronie-runit metalog metalog-runit dnsmasq dnsmasq-runit networkmanager \
networkmanager-runit rsync grim wf-recorder slurp ffmpeg w3m youtube-dl \
youtube-viewer newsboat wget curl inkscape gimp darktable gcc make \
fontconfig pkg-config fakeroot papirus-icon-theme alsa-utils pulseaudio \
- pamixer pulseaudio-bluetooth imagemagick exiftool ntfs-3g unzip unrar \
- gnome-themes-standard telegram-desktop qt5ct r bc udisks2 \
+ pamixer pulseaudio-bluetooth imagemagick ntfs-3g unzip unrar \
+ gnome-themes-standard telegram-desktop qt5ct r bc udisks2 dash \
perl-term-readline-gnu transmission-cli transmission-remote-gtk \
python-pynvim python-pip python-pillow calcurse acpi acpid gnupg \
noto-fonts-cjk noto-fonts-emoji ttf-joypixels otf-latin-modern \
@@ -21,7 +21,7 @@ pacman -Sy --noconfirm zsh zsh-syntax-highlighting openresolv wireguard-tools \
bluez-runit acpilight accountsservice xdg-user-dirs abook terminus-font \
qutebrowser jq stow wdiff texlive-most units isync notmuch pass \
translate-shell gnome-keyring pacman-contrib linux-headers \
- v4l2loopback-dkms highlight mediainfo
+ v4l2loopback-dkms highlight mediainfo || exit 1
# Copy system config files
cp system/sudoers /etc/
@@ -30,9 +30,20 @@ cp system/NetworkManager/NetworkManager.conf /etc/NetworkManager/NetworkManager.
cp system/mkinitcpio.conf /etc/
cp system/pam.d/* /etc/pam.d/
cp -r system/pacman.d/hooks /etc/pacman.d/
+cp -r runit/powertune /etc/runit/sv/
resolvconf -u
+# Activate runit services
+ln -s /etc/runit/sv/dbus /run/runit/service/
+ln -s /etc/runit/sv/dnsmasq /run/runit/service/
+ln -s /etc/runit/sv/bluetoothd /run/runit/service/
+ln -s /etc/runit/sv/cronie /run/runit/service/
+ln -s /etc/runit/sv/metalog /run/runit/service/
+ln -s /etc/runit/sv/NetworkManager /run/runit/service/
+ln -s /etc/runit/sv/dhcpcd /run/runit/service/
+ln -s /etc/runit/sv/wpa_supplicant /run/runit/service/
+
# Install AUR helper
cd /tmp
mkdir build